//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  list<int> coll;

  INSERT_ELEMENTS(coll,1,9);
  PRINT_ELEMENTS(coll," :\n");

  //      5
  if (binary_search(coll.begin(), coll.end(), 5)) {
      cout << ToRus(" 5 ") << endl;
  }
  else {
      cout << ToRus(" 5 ") << endl;
  }

  //      42
  if (binary_search(coll.begin(), coll.end(), 42)) {
      cout << ToRus(" 42 ") << endl;
  }
    else {
        cout << ToRus(" 42 ") << endl;
    }


  getch();
  return 0;
}

//---------------------------------------------------------------------------